Summary: A PostgresSQL interface for perl
Name: perl-DBD-Pg
Version: 1.01
Release: 8
License: distributable
Group: Applications/Databases
Source: DBD-Pg-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.0-3, perl-DBI
BuildRequires: postgresql-devel >= 7.1, perl >= 5.6.0-3, perl-DBI

%description 
An implementation of DBI for PostgreSQL for Perl.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n DBD-Pg-%{version} 

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=/usr/lib
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
rm -f  $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBD/Pg/Pg.bs
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBD/Pg/.packlist

%files 
%defattr(-,root,root)
%doc README Changes 
/usr/lib/*
%{_mandir}/*/*

%changelog
* Fri Feb 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.01-8
- Rebuild

* Thu Feb  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.01-7
- Rebuild

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- rebuild to solve more deps

* Tue Jan 29 2002 Bill Nottingham <notting@redhat.com> 1.01-5
- rebuild (dependencies)

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.01-4
- Rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.01-2
- Rebuild

* Sun Jul  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.01 bugfix release ("bytea" coredumped with values outside 0...127)
- Add perl-DBI and perl to BuildRequires (they were just in Requires: previously)

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.00
- change group to Applications/Databases from Applications/CPAN

* Tue May  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.98, for postgresql-7.1
- add doc files
- cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- First cut
